import { Runtime } from "./runtime";
import { App } from "./app";
import { Bridge } from "./bridge/bridge";
import { ivm } from ".";
export interface LocalRuntimeOptions {
    inspect?: boolean;
    monitorFrequency?: number;
}
export declare class LocalRuntime implements Runtime {
    app: App;
    bridge: Bridge;
    isolate: ivm.Isolate;
    context: ivm.Context;
    logger: any;
    lastSourceHash: string;
    options: LocalRuntimeOptions;
    constructor(app: App, bridge: Bridge, options?: LocalRuntimeOptions);
    get(name: string): Promise<ivm.Reference<any>>;
    getSync(name: string): ivm.Reference<any>;
    set(name: string, value: any): Promise<boolean>;
    setSync(name: string, value: any): boolean;
    private startMonitoring;
    private resetContext;
    private runApp;
    setApp(app: App): Promise<void>;
    log(lvl: string, ...parts: any[]): void;
    reportUsage(name: string, info: any): void;
}
